Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibraryObjectDefinition

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class S_LibraryObjectDefinition

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

The `S_LibraryObjectDefinition` class is used by the server to create new objects. It is generally constructed from a bean-side LibraryObjectDefinition class (or one of its subclasses), but can also be constructed server-side when the server wants to create an object.

See Also:
  Serialized Form
(Published)

Field Summary
`static java.lang.String` | `ATTRIBUTE_NAME`
`protected LibraryObjectDefinition` | `m_Definition` The real definition.
`static java.lang.String` | `SYSTEMOPTION_BYPASS_FOLDER_INDEX` Option used to bypass folder index processing (used for breaking cycles when in asynchronous mode)
`static java.lang.String` | `SYSTEMOPTION_BYPASS_OWNER_UNIQUENESS_CHECK` Option used in ACL and DirectoryGroup to bypass the name uniqueness policy.
`static java.lang.String` | `SYSTEMOPTION_BYPASS_POLICY_CHECK` Option to ignore the locking policy checks during some versioning operations
`static java.lang.String` | `SYSTEMOPTION_CONTENTQUOTQA_COPY_OPTION`
`static java.lang.String` | `SYSTEMOPTION_COPY_CATEGORIES`
`static java.lang.String` | `SYSTEMOPTION_COPY_CONTENT_OPTION`
`static java.lang.String` | `SYSTEMOPTION_CREATE_COORDINATION_CONTENTQUOTA_SETTING`
`static java.lang.String` | `SYSTEMOPTION_DERIVED_DEFS_INCLUDE_CATEGORIES` Option to include/exclude categories in derived definitions; currently only applicable to SchemaCategories
`static java.lang.String` | `SYSTEMOPTION_FREE_COORDINATION_OPTION1`
`static java.lang.String` | `SYSTEMOPTION_FREE_COORDINATION_OPTION2`
`static java.lang.String` | `SYSTEMOPTION_FREE_COORDINATION_OPTION3`
`static java.lang.String` | `SYSTEMOPTION_FREE_COORDINATION_OPTION4`
`static java.lang.String` | `SYSTEMOPTION_INDEXLIST`
`static java.lang.String` | `SYSTEMOPTION_INITIALSELFCYCLE`
`static java.lang.String` | `SYSTEMOPTION_OPERATION_POLICIES` Option used to set the Policies on an operation.
`static java.lang.String` | `SYSTEMOPTION_REMOVEALLPROPERTIES`
`static java.lang.String` | `SYSTEMOPTION_UPDATE_COORDINATION_OPTION1`

Constructor Summary
`protected` | `S_LibraryObjectDefinition()` default constructor.
`` | `S_LibraryObjectDefinition(LibraryObjectDefinition def)` Construct a S_LibraryObjectDefinition, initializing with a class Identifier.
`` | `S_LibraryObjectDefinition(LibrarySessionInterface session, java.lang.Long classid)` Construct a S_LibraryObjectDefinition, initializing with a class Identifier.
`` | `S_LibraryObjectDefinition(java.lang.Long classid)` Construct a S_LibraryObjectDefinition, initializing with a class Identifier.

Method Summary
`protected LibraryObjectDefinition` | `constructBeanDefinition(LibrarySessionInterface session)` construct a bean-side definition.
`void` | `copyInto(S_LibraryObjectDefinition def)` Copy the contents of the target Definition into the specified Definition.
`AttributeValue` | `getAttribute(java.lang.String name)` return an AttributeValue object that holds the value of the requested attribute.
`AttributeValue[]` | `getAttributes()` return array of Attribute values that were set for this new instance.
`LibraryObjectDefinition` | `getBeanDefinition(LibrarySessionInterface session)` return bean-side definition.
`protected java.lang.Boolean` | `getBooleanAttribute(java.lang.String name)` return Boolean value of an attribute value set with setAttribute.
`java.lang.Long` | `getClassId()` return the Class Id, null if not specified
`LibraryObjectDefinition` | `getDefinition()` return bean-side definition.
`java.lang.Long` | `getId()` return the Id, null if not yet specified
`protected java.lang.Long` | `getLongAttribute(java.lang.String name)` return Long value of an attribute value set with setAttribute.
`protected java.lang.String` | `getName()` return the Name of the object
`java.lang.Object` | `getOption(java.lang.String name)` return an option value
`java.lang.String[]` | `getOptionKeys()` Return array of option keys
`ReferenceAttributeValue` | `getReferenceAttribute(java.lang.String name)` return a reference attribute value.
`ReferenceAttributeValue[]` | `getReferenceAttributes()` return array of reference attributes.
`protected java.lang.String` | `getStringAttribute(java.lang.String name)` return String value of an attribute value set with setAttribute.
`java.lang.Object` | `getSystemOption(java.lang.String name)` return a system option value.
`java.lang.String[]` | `getSystemOptionKeys()` Return array of system option keys
`AttributeValue` | `getSystemSetAttribute(java.lang.String name)` return a System set AttributeValue object that holds the value of the requested attribute.
`AttributeValue[]` | `getSystemSetAttributes()` Gets the system-set attributes.
`AttributeValue` | `getUserSetAttribute(java.lang.String name)` return a User-set AttributeValue object that holds the value of the requested attribute.
`AttributeValue[]` | `getUserSetAttributes()` return array of Attribute values that were set by the user for this new instance.
`void` | `mergeDefinition(S_LibraryObjectDefinition def)` combines values from def into this definition.
`void` | `removeAttribute(java.lang.String name)` removes an attribute setting for the new instance.
`void` | `removeOption(java.lang.String name)` removes an option setting for the new instance.
`protected void` | `removeReferenceAttribute(java.lang.String name)` removes a reference attribute setting for the new instance.
`void` | `removeSystemOption(java.lang.String name)` removes a system option setting for the new instance.
`void` | `removeSystemSetAttribute(java.lang.String name)` removes a SystemSet attribute setting for the new instance.
`void` | `removeUserSetAttribute(java.lang.String name)` removes a user-set attribute setting for the new instance.
`protected void` | `setAttribute(java.lang.String name, AttributeValue value)` set an attribute for the new instance.
`void` | `setClassId(java.lang.Long classid)` set the Class Id
`void` | `setId(java.lang.Long id)` set the object Id
`protected void` | `setName(java.lang.String name)` set the Name of the new instance.
`void` | `setOption(java.lang.String name, java.lang.Object value)` set an option for the new instance.
`void` | `setReferenceAttribute(ReferenceAttributeValue value)` set a reference attribute for the new instance.
`protected void` | `setReferenceAttribute(java.lang.String name, ReferenceAttributeValue value)` set a reference attribute for the new instance.
`void` | `setSession(LibrarySessionInterface session)` Set or reset the session associated with this instance.
`void` | `setSystemOption(java.lang.String name, java.lang.Object value)` set a system option for the new instance.
`void` | `setSystemSetAttribute(AttributeValue value)` set a SystemSet attribute for the new instance.
`void` | `setSystemSetAttribute(java.lang.String name, AttributeValue value)` set a system-set attribute for the new instance (or for update).
`void` | `setUserSetAttribute(AttributeValue value)` set an attribute for the new instance.
`void` | `setUserSetAttribute(java.lang.String name, AttributeValue value)` set an attribute for the new instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_NAME

    public static final java.lang.String ATTRIBUTE_NAME

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_INITIALSELFCYCLE

    public static final java.lang.String SYSTEMOPTION_INITIALSELFCYCLE

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_REMOVEALLPROPERTIES

    public static final java.lang.String SYSTEMOPTION_REMOVEALLPROPERTIES

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_INDEXLIST

    public static final java.lang.String SYSTEMOPTION_INDEXLIST

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_FREE_COORDINATION_OPTION1

    public static final java.lang.String SYSTEMOPTION_FREE_COORDINATION_OPTION1

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_FREE_COORDINATION_OPTION2

    public static final java.lang.String SYSTEMOPTION_FREE_COORDINATION_OPTION2

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_FREE_COORDINATION_OPTION3

    public static final java.lang.String SYSTEMOPTION_FREE_COORDINATION_OPTION3

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_FREE_COORDINATION_OPTION4

    public static final java.lang.String SYSTEMOPTION_FREE_COORDINATION_OPTION4

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_UPDATE_COORDINATION_OPTION1

    public static final java.lang.String SYSTEMOPTION_UPDATE_COORDINATION_OPTION1

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_CREATE_COORDINATION_CONTENTQUOTA_SETTING

    public static final java.lang.String SYSTEMOPTION_CREATE_COORDINATION_CONTENTQUOTA_SETTING

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_COPY_CATEGORIES

    public static final java.lang.String SYSTEMOPTION_COPY_CATEGORIES

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_CONTENTQUOTQA_COPY_OPTION

    public static final java.lang.String SYSTEMOPTION_CONTENTQUOTQA_COPY_OPTION

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_COPY_CONTENT_OPTION

    public static final java.lang.String SYSTEMOPTION_COPY_CONTENT_OPTION

See Also:
  Constant Field Values
(Unpublished)

### SYSTEMOPTION_BYPASS_OWNER_UNIQUENESS_CHECK

    public static final java.lang.String SYSTEMOPTION_BYPASS_OWNER_UNIQUENESS_CHECK

  Description copied from class: `S_LibraryObjectDefinition`
  Option used in ACL and DirectoryGroup to bypass the name uniqueness policy.

  See Also:
    Constant Field Values
  (Unpublished)

### SYSTEMOPTION_BYPASS_POLICY_CHECK

    public static final java.lang.String SYSTEMOPTION_BYPASS_POLICY_CHECK

  Description copied from class: `S_LibraryObjectDefinition`
  Option to ignore the locking policy checks during some versioning operations

  See Also:
    Constant Field Values
  (Unpublished)

### SYSTEMOPTION_OPERATION_POLICIES

    public static final java.lang.String SYSTEMOPTION_OPERATION_POLICIES

  Description copied from class: `S_LibraryObjectDefinition`
  Option used to set the Policies on an operation.

  See Also:
    Constant Field Values
  (Unpublished)

### SYSTEMOPTION_BYPASS_FOLDER_INDEX

    public static final java.lang.String SYSTEMOPTION_BYPASS_FOLDER_INDEX

  Description copied from class: `S_LibraryObjectDefinition`
  Option used to bypass folder index processing (used for breaking cycles when in asynchronous mode)

  See Also:
    Constant Field Values
  (Unpublished)

### SYSTEMOPTION_DERIVED_DEFS_INCLUDE_CATEGORIES

    public static final java.lang.String SYSTEMOPTION_DERIVED_DEFS_INCLUDE_CATEGORIES

  Description copied from class: `S_LibraryObjectDefinition`
  Option to include/exclude categories in derived definitions; currently only applicable to SchemaCategories

  See Also:
    Constant Field Values
  (Unpublished)

### m_Definition

    protected LibraryObjectDefinition m_Definition

  Description copied from class: `S_LibraryObjectDefinition`
  The real definition.

  (Unpublished)

Constructor Detail

### S_LibraryObjectDefinition

    protected S_LibraryObjectDefinition()
                                 throws IfsException

  default constructor. Just initialize the hashtables.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### S_LibraryObjectDefinition

    public S_LibraryObjectDefinition(java.lang.Long classid)
                              throws IfsException

  Construct a S_LibraryObjectDefinition, initializing with a class Identifier. The Identifier can be modified after construction by invoking setClassId(). Upon construction, an empty set of attribute and option settings is initialized.

  Parameters:
    `classid` - the ID of the ClassObject that will be described by this definition
  Throws:
    `IfsException` - if operation fails.
  (Published)

### S_LibraryObjectDefinition

    public S_LibraryObjectDefinition(LibraryObjectDefinition def)
                              throws IfsException

  Construct a S_LibraryObjectDefinition, initializing with a class Identifier. The Identifier can be modified after construction by invoking setClassId(). Upon construction, an empty set of attribute and option settings is initialized.

  Parameters:
    `def` - the Definition to encapsulate
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### S_LibraryObjectDefinition

    public S_LibraryObjectDefinition(LibrarySessionInterface session,
                                     java.lang.Long classid)
                              throws IfsException

  Construct a S_LibraryObjectDefinition, initializing with a class Identifier. The Identifier can be modified after construction by invoking setClassId(). Upon construction, an empty set of attribute and option settings is initialized.

  Parameters:
    `session` - the session context
    `classid` - the ID of the ClassObject that will be described by this definition
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Method Detail

### setSession

    public void setSession(LibrarySessionInterface session)
                    throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  Set or reset the session associated with this instance. This is propogated to the enclosed LibraryObjectDefinition.

  Parameters:
    `session` - the new session context
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getClassId

    public java.lang.Long getClassId()
                              throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return the Class Id, null if not specified

  Returns:
    the Class Id, null if not persistent
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getId

    public java.lang.Long getId()
                         throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return the Id, null if not yet specified

  Returns:
    the Id, null if not yet specified
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setClassId

    public void setClassId(java.lang.Long classid)
                    throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set the Class Id

  Parameters:
    `classid` - the Class Id
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setId

    public void setId(java.lang.Long id)
               throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set the object Id

  Parameters:
    `id` - the Id
  Throws:
    `IfsException` - if the operation fails
  (Published)

### copyInto

    public void copyInto(S_LibraryObjectDefinition def)
                  throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  Copy the contents of the target Definition into the specified Definition.

  Parameters:
    `def` - The definition which gets set with the information contained in the target definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDefinition

    public LibraryObjectDefinition getDefinition()
                                          throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return bean-side definition.

  Returns:
    the bean-side definition.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getBeanDefinition

    public LibraryObjectDefinition getBeanDefinition(LibrarySessionInterface session)
                                              throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return bean-side definition.

  Parameters:
    `session` - the bean-side session.
  Returns:
    the bean-side definition.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructBeanDefinition

    protected LibraryObjectDefinition constructBeanDefinition(LibrarySessionInterface session)
                                                       throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  construct a bean-side definition.

  Parameters:
    `session` - the bean-side session.
  Returns:
    the bean-side definition.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setAttribute

    protected void setAttribute(java.lang.String name,
                                AttributeValue value)
                         throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set an attribute for the new instance.

  Parameters:
    `name` - The attribute name
    `value` - The attribute value.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setUserSetAttribute

    public void setUserSetAttribute(java.lang.String name,
                                    AttributeValue value)
                             throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set an attribute for the new instance.

  Parameters:
    `name` - The attribute name
    `value` - The attribute value.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setUserSetAttribute

    public void setUserSetAttribute(AttributeValue value)
                             throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set an attribute for the new instance.

  Parameters:
    `value` - The attribute value.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setSystemSetAttribute

    public void setSystemSetAttribute(java.lang.String name,
                                      AttributeValue value)
                               throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set a system-set attribute for the new instance (or for update). Use this method to set attributes that are not settable/updateable via a bean side setAttribute call.

  Parameters:
    `name` - The attribute name
    `value` - The attribute value.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setSystemSetAttribute

    public void setSystemSetAttribute(AttributeValue value)
                               throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set a SystemSet attribute for the new instance. Use this method to set attributes that are not settable/updateable via a bean side setAttribute call.

  Parameters:
    `value` - The attribute value with the name already set.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAttribute

    public AttributeValue getAttribute(java.lang.String name)
                                throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return an AttributeValue object that holds the value of the requested attribute. Checks for both SystemSet and UserSet attributes.

  Parameters:
    `name` - the name of the Attribute
  Returns:
    the corresponding AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getUserSetAttribute

    public AttributeValue getUserSetAttribute(java.lang.String name)
                                       throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return a User-set AttributeValue object that holds the value of the requested attribute.

  Parameters:
    `name` - the name of the user-set Attribute
  Returns:
    the corresponding AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSystemSetAttribute

    public AttributeValue getSystemSetAttribute(java.lang.String name)
                                         throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return a System set AttributeValue object that holds the value of the requested attribute.

  Parameters:
    `name` - the name of the System set Attribute
  Returns:
    the corresponding AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setReferenceAttribute

    protected void setReferenceAttribute(java.lang.String name,
                                         ReferenceAttributeValue value)
                                  throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set a reference attribute for the new instance.

  Parameters:
    `name` - The reference attribute name name
    `value` - The reference attribute value.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setReferenceAttribute

    public void setReferenceAttribute(ReferenceAttributeValue value)
                               throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set a reference attribute for the new instance. The name must be specified in the ReferenceAttributeValue.

  Parameters:
    `value` - The reference attribute value.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getReferenceAttribute

    public ReferenceAttributeValue getReferenceAttribute(java.lang.String name)

  Description copied from class: `S_LibraryObjectDefinition`
  return a reference attribute value.

  Parameters:
    `name` - the name of the reference attribute
  Returns:
    the corresponding Value for the reference attribute
  (Unpublished)

### getReferenceAttributes

    public ReferenceAttributeValue[] getReferenceAttributes()
                                                     throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return array of reference attributes.

  Returns:
    the array of reference attribute keys, or null if none.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### removeReferenceAttribute

    protected void removeReferenceAttribute(java.lang.String name)
                                     throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  removes a reference attribute setting for the new instance.

  Parameters:
    `name` - The name of the reference attribute to be removed.
  Throws:
    `IfsException`
  (Unpublished)

### setSystemOption

    public void setSystemOption(java.lang.String name,
                                java.lang.Object value)
                         throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set a system option for the new instance.

  Parameters:
    `name` - The option name
    `value` - The option value.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getSystemOption

    public java.lang.Object getSystemOption(java.lang.String name)
                                     throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return a system option value.

  Parameters:
    `name` - the name of the system option
  Returns:
    the corresponding Value for the system option
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSystemOptionKeys

    public java.lang.String[] getSystemOptionKeys()
                                           throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  Return array of system option keys

  Returns:
    array of system option keys
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setOption

    public void setOption(java.lang.String name,
                          java.lang.Object value)
                   throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set an option for the new instance.

  Parameters:
    `name` - The option name
    `value` - The option value. The value must be serializable.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getOption

    public java.lang.Object getOption(java.lang.String name)
                               throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return an option value

  Parameters:
    `name` - the name of the option
  Returns:
    the corresponding Value for the option
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getOptionKeys

    public java.lang.String[] getOptionKeys()
                                     throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  Return array of option keys

  Returns:
    array of option keys
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getStringAttribute

    protected java.lang.String getStringAttribute(java.lang.String name)

  Description copied from class: `S_LibraryObjectDefinition`
  return String value of an attribute value set with setAttribute. Return null if the specified attribute name was not specified.

  Parameters:
    `name` - the name of the Attribute
  Returns:
    the corresponding String value
  (Unpublished)

### getLongAttribute

    protected java.lang.Long getLongAttribute(java.lang.String name)

  Description copied from class: `S_LibraryObjectDefinition`
  return Long value of an attribute value set with setAttribute. Return null if the specified attribute name was not specified, or if not translatable to a Long.

  Parameters:
    `name` - the name of the Attribute
  Returns:
    the corresponding Long value
  (Unpublished)

### getBooleanAttribute

    protected java.lang.Boolean getBooleanAttribute(java.lang.String name)

  Description copied from class: `S_LibraryObjectDefinition`
  return Boolean value of an attribute value set with setAttribute. Return null if the specified attribute name was not specified, or if not translatable to a Boolean.

  Parameters:
    `name` - the name of the Attribute
  Returns:
    the corresponding Boolean value
  (Unpublished)

### setName

    protected void setName(java.lang.String name)
                    throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  set the Name of the new instance.

  Parameters:
    `name` - The name to be used for the new instance.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getName

    protected java.lang.String getName()

  Description copied from class: `S_LibraryObjectDefinition`
  return the Name of the object

  Returns:
    The name to be used for the new instance.
  (Unpublished)

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  removes an attribute setting for the new instance. Removes it from both the SystemSet and UserSet attribute lists.

  Parameters:
    `name` - The name of the Attribute to be removed.
  Throws:
    `IfsException`
  (Published)

### removeUserSetAttribute

    public void removeUserSetAttribute(java.lang.String name)
                                throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  removes a user-set attribute setting for the new instance.

  Parameters:
    `name` - The name of the user-set Attribute to be removed.
  Throws:
    `IfsException`
  (Published)

### removeSystemSetAttribute

    public void removeSystemSetAttribute(java.lang.String name)
                                  throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  removes a SystemSet attribute setting for the new instance.

  Parameters:
    `name` - The name of the SystemSetAttribute to be removed.
  Throws:
    `IfsException`
  (Published)

### getUserSetAttributes

    public AttributeValue[] getUserSetAttributes()
                                          throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return array of Attribute values that were set by the user for this new instance. System set attributes are not returned. The returned AVs names are locked.

  Returns:
    The array of AttributeValues - the name of the attribute is already set in the AttibuteValue (available with a getName() method on the AttributeValue).
  Throws:
    `IfsException`
  (Published)

### getSystemSetAttributes

    public AttributeValue[] getSystemSetAttributes()
                                            throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  Gets the system-set attributes.

  Returns:
    the system-set attributes
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAttributes

    public AttributeValue[] getAttributes()
                                   throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  return array of Attribute values that were set for this new instance. The returned AVs names are locked.

  Returns:
    The array of AttributeValues - the name of the attribute is already set in the AttibuteValue (available with a getName() method on the AttributeValue).
  Throws:
    `IfsException`
  (Published)

### removeOption

    public void removeOption(java.lang.String name)
                      throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  removes an option setting for the new instance.

  Parameters:
    `name` - The name of the option to be removed.
  Throws:
    `IfsException`
  (Published)

### removeSystemOption

    public void removeSystemOption(java.lang.String name)
                            throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  removes a system option setting for the new instance.

  Parameters:
    `name` - The name of the option to be removed.
  Throws:
    `IfsException`
  (Unpublished)

### mergeDefinition

    public void mergeDefinition(S_LibraryObjectDefinition def)
                         throws IfsException

  Description copied from class: `S_LibraryObjectDefinition`
  combines values from def into this definition. Values in def take precedence over existing values.

  Parameters:
    `def` - The definition to be merged in.
  Throws:
    `IfsException`
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD